/*
	Lesson 11 Summarising Data
	Aggregate Function
*/



SELECT Avg(prod_price) AS avg_price
FROM products;

go

SELECT Avg(prod_price) AS avg_price
FROM products
WHERE vend_id = 1003;

go

SELECT Count(*) AS num_cust
FROM customers;

go

SELECT Count(cust_email) AS num_cust
FROM customers;

go

SELECT Max(prod_price) AS max_price
FROM products;

go

SELECT Min(prod_price) AS min_price
FROM products;

go

SELECT Sum(quantity) AS items_ordered
FROM orderitems
WHERE order_num = 20005;

go


SELECT Sum(item_price*quantity) AS total_price
FROM orderitems
WHERE order_num = 20005;

go

SELECT Avg(DISTINCT prod_price) AS avg_price
FROM products
WHERE vend_id = 1003;

go

SELECT Avg(prod_price) AS avg_price
FROM products
WHERE vend_id = 1003;

go

SELECT Count(*) AS num_items,
Min(prod_price) AS price_min,
Max(prod_price) AS price_max,
Avg(prod_price) AS price_avg
FROM products;
