/*
	Lesson 22 Programming with T-SQL

	DECLARE
	SET
	SELECT @var

	IF  
		BEGIN
		END
	ELSE
		BEGIN
		END

	WHILE 

*/

DECLARE @age INT;
DECLARE @firstName CHAR(20), @lastName CHAR(20);
SET @lastName='Forta';
SET @firstName='Ben';
SET @age=21;

SELECT @age=21;

SELECT @age

go

DECLARE @age INT;
DECLARE @firstName CHAR(20), @lastName CHAR(20);
SET @lastName='Forta';
SET @firstName='Ben';
SET @age=21;
SELECT @lastName, @firstName, @age

go

DECLARE @age INT;
DECLARE @firstName CHAR(20), @lastName CHAR(20);
SET @lastName='Forta';
SET @firstName='Ben';
SET @age=21;
PRINT @lastName + ', ' + @firstName;
PRINT @age;

go

SELECT cust_name, cust_email
FROM customers
WHERE cust_id = 10001;
SELECT order_num, order_date
FROM orders
WHERE cust_id = 10001
ORDER BY order_date;

go

DECLARE @cust_id INT;
SET @cust_id = 10001;
-- Get customer name and e-mail
SELECT cust_name, cust_email
FROM customers
WHERE cust_id = @cust_id;
-- Get customer order history
SELECT order_num, order_date
FROM orders
WHERE cust_id = @cust_id
ORDER BY order_date;

go

-- Define variables
DECLARE @open BIT
-- Open for business today?
IF DatePart(dw, GetDate()) = 1
SET @open = 0
ELSE
SET @open = 1
-- Output
SELECT @open AS OpenForBusiness


go

-- Define variables
DECLARE @dow INT
DECLARE @open BIT
-- Get the day of week
SET @dow = DatePart(dw, GetDate());
-- Open for business today?
IF @dow = 1 OR @dow = 7
SET @open = 0
ELSE
SET @open = 1
-- Output
SELECT @open AS OpenForBusiness

go

-- Define variables
DECLARE @dow INT
DECLARE @open BIT, @process BIT
-- Get the day of week
SET @dow = DatePart(dw, GetDate());
-- Open for business today?
IF @dow = 1 OR @dow = 7
	BEGIN
		SET @open = 0
		SET @process = 0
	END
ELSE
	BEGIN
		SET @open = 1
		SET @process = 1
	END

go

DECLARE @counter INT
SET @counter=1
WHILE @counter <= 10
	BEGIN
		PRINT @counter
		SET @counter=@counter+1
	END
