﻿/*
	Lesson 28 Globalisation and Localaisation

*/

SELECT * FROM fn_helpcollations();

go

SELECT ServerProperty('Collation') AS Collation;

go

SELECT DatabasePropertyEX('learnsql', 'Collation')
AS Collation;

go

-- Get collation name
DECLARE @Collation VARCHAR(100);
SELECT @Collation = CONVERT(VARCHAR(100), ServerProperty('Collation'))

-- Get description
SELECT description
FROM fn_helpcollations()
WHERE name = @Collation;

go

CREATE TABLE mytable
(
column1 INT,
column2 VARCHAR(10) COLLATE Hebrew_CI_AI
);


go

CREATE TABLE mytable
(
column1 INT,
column2 VARCHAR(10) COLLATE SQL_Latin1_General_CP1_CS_AS
);

go

SELECT * FROM customers
ORDER BY cust_name COLLATE SQL_Latin1_General_CP1_CS_AS;

go

SELECT cust_id, cust_name
FROM customers
WHERE cust_name LIKE '%E%';

go

SELECT cust_id, cust_name
FROM customers
WHERE cust_name COLLATE SQL_Latin1_General_CP1_CS_AS LIKE '%E%';

go

INSERT INTO mytable(column1, column2)
VALUES(1000, N'שלום');
SELECT * FROM mytable;
