/*
	Lesson 10 TSQL Functions
	
*/


SELECT vend_name, Upper(vend_name) AS vend_name_upcase
FROM vendors
ORDER BY vend_name;

go

SELECT cust_name, cust_contact
FROM customers
WHERE cust_contact ='Y. Lie';

go

SELECT cust_name, cust_contact
FROM customers
WHERE Soundex(cust_contact) = Soundex('Y Lie');

go

SELECT order_num,
DatePart(weekday, order_date) AS weekday
FROM orders;

go

SELECT order_num,
DateName(weekday, order_date) AS weekday
FROM orders;

go

SELECT order_num
FROM orders
WHERE DatePart(month, order_date) = 10;

go

SELECT cust_id, order_num
FROM orders
WHERE order_date = '2016-09-01';

go

SELECT cust_id, order_num
FROM orders
WHERE DateDiff(day, order_date,'2016-09-01') = 0;

go

SELECT cust_id, order_num
FROM orders
WHERE Year(order_date) = 2016
AND Month(order_date) = 9

go

SELECT cust_id, order_num
FROM orders
WHERE DateDiff(month, order_date, '2016-09-01') = 0;

go

SELECT cust_id, order_num
FROM orders
WHERE Year(order_date) = 2016 AND Month(order_date) = 9;

go

