/*
	Lesson 20 Creating and Manipulating Tables
	CREATE TABLE
	PRIMARY KEY
	IDENTITY
	DEFAULT
	
	DROP TABLE

	ALTER TABLE??
*/


CREATE TABLE customers2
(
cust_id INT NOT NULL IDENTITY(1,1),
cust_name NCHAR(50) NOT NULL ,
cust_address NCHAR(50) NULL ,
cust_city NCHAR(50) NULL ,
cust_state NCHAR(5) NULL ,
cust_zip NCHAR(10) NULL ,
cust_country NCHAR(50) NULL ,
cust_contact NCHAR(50) NULL ,
cust_email NCHAR(255) NULL ,
PRIMARY KEY (cust_id)
);

go

CREATE TABLE orders2
(
order_num INT NOT NULL IDENTITY(1,1),
order_date DATETIME NOT NULL ,
cust_id INT NOT NULL ,
PRIMARY KEY (order_num)
);

go

CREATE TABLE orderitems2
(
order_num INT NOT NULL ,
order_item INT NOT NULL ,
prod_id NCHAR(10) NOT NULL ,
quantity INT NOT NULL ,
item_price MONEY NOT NULL ,
PRIMARY KEY (order_num, order_item)
);


go

CREATE TABLE orderitems3
(
order_num INT NOT NULL ,
order_item INT NOT NULL ,
prod_id NCHAR(10) NOT NULL ,
quantity INT NOT NULL DEFAULT 1,
item_price MONEY NOT NULL ,
PRIMARY KEY (order_num, order_item)
);
go

CREATE TABLE orders3
(
order_num INT NOT NULL IDENTITY(1,1),
order_date DATETIME NOT NULL DEFAULT GetDate(),
cust_id INT NOT NULL ,
PRIMARY KEY (order_num)
);

go

DROP TABLE customers2;

go

EXEC sp_rename 'customers2', 'customers';