/*
	Lesson 24 Using Cursors

	DECLARE x CURSOR FOR
	OPEN x

	FETCH NEXT FROM x INTO 

	CLOSE x
	DEALLOCATE x

	@@FETCH_STATUS
*/

DECLARE orders_cursor CURSOR
FOR
SELECT order_num FROM orders ORDER BY order_num;
DEALLOCATE orders_cursor;

go

DECLARE orders_cursor CURSOR
FOR
SELECT order_num FROM orders ORDER BY order_num;

OPEN orders_cursor

CLOSE orders_cursor

DEALLOCATE orders_cursor;

go

-- Local variables
DECLARE @order_num INT;
-- Define the cursor
DECLARE orders_cursor CURSOR 
	FOR
	SELECT order_num FROM orders ORDER BY order_num;

-- Open cursor (retrieve data)
OPEN orders_cursor;

-- Perform the first fetch (get first row)
FETCH NEXT FROM orders_cursor INTO @order_num;
-- Close cursor
CLOSE orders_cursor
-- And finally, remove it
DEALLOCATE orders_cursor;

go

DECLARE @order_num INT;
-- Define the cursor
DECLARE orders_cursor CURSOR
	FOR
		SELECT order_num FROM orders ORDER BY order_num;

	-- Open cursor (retrieve data)
	OPEN orders_cursor;

	-- Perform the first fetch (get first row)
	FETCH NEXT FROM orders_cursor INTO @order_num;
	-- Check @@FETCH_STATUS to see if there are any more rows
	-- to fetch.
	WHILE @@FETCH_STATUS = 0
		BEGIN
		-- This is executed as long as the previous fetch succeeds.
			FETCH NEXT FROM orders_cursor INTO @order_num;
		END
		-- Close cursor

	CLOSE orders_cursor
	-- And finally, remove it
	DEALLOCATE orders_cursor;

go

-- Local variables
DECLARE @order_num INT;
DECLARE @order_total MONEY;
DECLARE @total MONEY;
-- Initialize @total
SET @total=0;
-- Define the cursor
DECLARE orders_cursor CURSOR
		FOR
		SELECT order_num FROM orders ORDER BY order_num;

-- Open cursor (retrieve data)
OPEN orders_cursor;
-- Perform the first fetch (get first row)

FETCH NEXT FROM orders_cursor INTO @order_num;
	-- Check @@FETCH_STATUS to see if there are any more rows
	-- to fetch.
WHILE @@FETCH_STATUS = 0
	BEGIN
		-- Get this order total (including tax)
		EXECUTE ordertotal @order_num, 1, @order_total OUTPUT
		-- Add this order to the total
		SET @total = @total + @order_total
		-- Get next row
		FETCH NEXT FROM orders_cursor INTO @order_num;
	END
-- Close cursor
cLOSE orders_cursor

-- And finally, remove it
DEALLOCATE orders_cursor;

-- And finally display calculated total
SELECT @total AS GrandTotal;