/*
	Lesson 26 Managing Transaction Processing

	BEGIN TRANSACTION

	SAVE TRANSACTION savepoint

	COMMIT TRANSACTION

	ROLLBACK TRANSACTION [savepoint]

	SET IMPLICIT_TRANSACTIONS ON;

*/

SELECT * FROM orderitems;
-- Start the transaction
BEGIN TRANSACTION;
-- Delete all rows from orderitems
DELETE FROM orderitems;
-- Verify that they are gone
SELECT * FROM orderitems;
-- Now rollback the transaction
ROLLBACK;
-- And the deleted rows should all be back
SELECT * FROM orderitems;

go

BEGIN TRANSACTION;
DELETE FROM orderitems WHERE order_num = 20010;
DELETE FROM orders WHERE order_num = 20010;
COMMIT;

go

SAVE TRANSACTION delete1

