/*
	Lesson 9 Creating Calculated Fields
	
*/


-- Field Concatenation

SELECT vend_name + ' (' + vend_country + ')'
FROM vendors
ORDER BY vend_name;

go

SELECT RTrim(vend_name) + ' (' + RTrim(vend_country) + ')'
FROM vendors
ORDER BY vend_name;

go

-- Aliases

SELECT RTrim(vend_name) + ' ('+ RTrim(vend_country) + ')' AS
vend_title
FROM vendors
ORDER BY vend_name;

go

-- Mathematical calculations

SELECT prod_id, quantity, item_price
FROM orderitems
WHERE order_num = 20005;

go

SELECT prod_id,
quantity,
item_price,
quantity*item_price AS expanded_price
FROM orderitems
WHERE order_num = 20005;

go

